Skip to main content
PATCH
Partially update custom column

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

column_id
string<uuid>
required

CustomColumn id

Body

application/json
name
string

The name of the custom column

expr
string

The expression used to extract the value for the custom column

Response

Returns the custom column object

id
string<uuid>
required

Unique identifier for the custom columns

object_type
enum<string>
required

The object type that the ACL applies to

Available options:
organization,
project,
experiment,
dataset,
prompt,
prompt_session,
group,
role,
org_member,
project_log,
org_project,
org_audit_logs,
project_group,
project_group_projects,
ai_secret,
org_ai_secret,
org_account
object_id
string<uuid>
required

The id of the object the custom column is scoped for

subtype
required

The object type that the ACL applies to

Available options:
organization,
project,
experiment,
dataset,
prompt,
prompt_session,
group,
role,
org_member,
project_log,
org_project,
org_audit_logs,
project_group,
project_group_projects,
ai_secret,
org_ai_secret,
org_account
variant
enum<string>
required

The table variant that the custom column applies to

Available options:
project,
experiment,
dataset,
project_log,
experiment_list
name
string
required

The name of the custom column

expr
string
required

The expression used to extract the value for the custom column

created
string<date-time> | null

Date of custom columns creation